package electrosphere.renderer;

import electrosphere.entity.Entity;
import electrosphere.entity.EntityUtils;
import electrosphere.main.Globals;

/**
 *
 * @author amaterasu
 */
public class ActorUtils {
    
    
    public static Actor createActorFromModelPath(String modelPath){
        Actor rVal = new Actor(modelPath);
        Globals.assetManager.addModelPathToQueue(modelPath);
        return rVal;
    }
    
    public static void applyBlenderTransformer(Entity actorEntity){
        Actor entityActor = EntityUtils.getActor(actorEntity);
        entityActor.setAnimationScalar(100f);
        EntityUtils.getScale(actorEntity).set(0.005f);
    }
    
    public static void applyBlenderRotation(Entity actorEntity){
        EntityUtils.getRotation(actorEntity).rotateLocalX((float)-Math.PI/2);
    }
    
    
}
